<?php
// ----------------------------------------------
// ------------ JavaScrips Files ----------------
// ----------------------------------------------


if( !function_exists( 'anthemes_enqueue_scripts' ) ) {
    function anthemes_enqueue_scripts() {

		// Register css files
        wp_register_style( 'style', get_stylesheet_uri(), '', '2.7');
		wp_register_style( 'default', get_template_directory_uri() . '/css/colors/default.css', TRUE);
		wp_register_style( 'responsive', get_template_directory_uri() . '/css/responsive.css', TRUE);
        wp_register_style( 'fancyboxcss', get_template_directory_uri() . '/fancybox/jquery.fancybox-1.3.4.css', TRUE);       
        wp_register_style( 'menu-font', '//fonts.googleapis.com/css?family=Ruda:400,700', TRUE);
        wp_register_style( 'font-awesome', '//netdna.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.css', TRUE);

        wp_register_style( 'owl-carousel', get_template_directory_uri() . '/owl-carousel/owl.carousel.css', TRUE);
        wp_register_style( 'owl-carousel-theme', get_template_directory_uri() . '/owl-carousel/owl.theme.css', TRUE);
        wp_register_style( 'owl-carousel-transitions', get_template_directory_uri() . '/owl-carousel/owl.transitions.css', TRUE);

		// Register scripts
		wp_register_script( 'customjs', get_template_directory_uri() . '/js/custom.js', 'jquery', '', TRUE);
        wp_register_script( 'validatecontact', get_template_directory_uri() . '/js/jquery.validate.min.js', 'jquery', '', TRUE);
        wp_register_script( 'infinite-scroll',  get_template_directory_uri() . '/js/jquery.infinitescroll.js', 'jquery', '', TRUE);
        wp_register_script( 'fancyboxjs', get_template_directory_uri() . '/fancybox/jquery.fancybox-1.3.4.pack.js', 'jquery', '', TRUE);
        wp_register_script( 'owl-carouseljs', get_template_directory_uri() . '/owl-carousel/owl.carousel.min.js', 'jquery', '', TRUE);

        // Display js and css files in Footer via wp_footer();
        wp_enqueue_script('customjs');

        // Display js files in Header via wp_head();
        wp_enqueue_style('style');
        wp_enqueue_style('default');
        wp_enqueue_style('responsive');
        wp_enqueue_style('menu-font');
        wp_enqueue_style('font-awesome');
        wp_enqueue_script('jquery');

        // Load Comments on single pages
        if( is_single() ) {
            wp_enqueue_style('fancyboxcss');
            wp_enqueue_script('comment-reply');
            wp_enqueue_script('fancyboxjs');
         }

        // Load js validate in contact and job page.
        if( is_page_template( 'template-contact.php' ) ) { 
            wp_enqueue_script('validatecontact');
         }

        // Load js infinite-scroll
        if( ! is_singular() || is_single() || is_page_template( 'template-home-simple.php' ) || is_page_template( 'template-home-slider.php' ) || is_page_template( 'template-home-sidebar.php' ) || is_page_template( 'template-home-sidebar-slider.php' ) || is_page_template( 'template-home-views.php' ) || is_page_template( 'template-home-likes.php' ) ) {
            wp_enqueue_script('infinite-scroll');
        }

        // Load js carousel
        if( is_page_template( 'template-home-slider.php' ) || is_page_template( 'template-home-sidebar-slider.php' ) ) {
            wp_enqueue_style('owl-carousel');
            wp_enqueue_style('owl-carousel-theme');
            wp_enqueue_style('owl-carousel-transitions');
            wp_enqueue_script('owl-carouseljs');
        }

    }
    add_action('wp_enqueue_scripts', 'anthemes_enqueue_scripts');
}
?>