<!DOCTYPE HTML>
<html <?php language_attributes(); ?>>
<head>
<?php
    // Options from admin panel
    global $smof_data;
    
    $favicon = $smof_data['custom_favicon'];
    if (empty($favicon)) { $favicon = get_template_directory_uri().'/images/web-icon.png'; }
    
    $site_logo = $smof_data['site_logo'];
    if (empty($site_logo)) { $site_logo = get_template_directory_uri().'/images/logo.png'; } 
    $boxed_version_select = (isset($smof_data['boxed_version_select'])) ? $smof_data['boxed_version_select'] : 'No';
?>
	<!-- Meta Tags -->
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	
    <!-- Title -->
    <?php if ( ! function_exists( '_wp_render_title_tag' ) ) { function theme_slug_render_title() { ?>
    <title><?php wp_title( '|', true, 'right' ); ?></title>
    <?php } add_action( 'wp_head', 'theme_slug_render_title' ); } // Backwards compatibility for older versions. ?>    

    <!-- Mobile Device Meta -->
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    
    <!-- The HTML5 Shim for older browsers (mostly older versions of IE). -->
	<!--[if IE]> <script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script> <![endif]-->

	<!-- Favicons and rss / pingback -->
    <link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
    <link rel="shortcut icon" type="image/png" href="<?php echo $favicon ?>"/>  

    <!-- Custom style -->
    <?php echo get_template_part('custom-style'); ?>

    <!-- Theme output -->
    <?php wp_head(); ?> 

</head>
<body <?php if ($boxed_version_select == 'Yes') { ?>id="version-box"<?php } ?> <?php body_class(); ?>>
<?php if (!empty($smof_data['background_img'])) { ?>    
    <img id="background" src="<?php echo $smof_data['background_img']; ?>" alt="background img" />
<?php } // background image ?>
<?php wp_body_open(); ?>


<!-- Begin Header -->
<header>
    <div class="top-navigation">
        <div class="wrap">
            <!-- popular words -->
            <div class="popular-words">
                <?php if (!empty($smof_data['popular-tags-1'])) { ?><div id="tags1"><?php _e('<strong>Popular tags:</strong>', 'anthemes'); ?> <?php wp_tag_cloud('number=' .$smof_data['popular-tags-1']. ''); ?></div><?php } ?>
                <?php if (!empty($smof_data['popular-tags-2'])) { ?><div id="tags2"><?php _e('<strong>Popular tags:</strong>', 'anthemes'); ?> <?php wp_tag_cloud('number=' .$smof_data['popular-tags-2']. ''); ?></div><?php } ?>
                <?php if (!empty($smof_data['popular-tags-3'])) { ?><div id="tags3"><?php _e('<strong>Popular tags:</strong>', 'anthemes'); ?> <?php wp_tag_cloud('number=' .$smof_data['popular-tags-3']. ''); ?></div><?php } ?>
            </div>

            <!-- Top social icons. -->
            <?php if (!empty($smof_data['top_icons'])) { ?>
                <?php echo stripslashes($smof_data['top_icons']); ?>
            <?php } ?>
        </div><!-- end .wrap -->
    </div><div class="clear"></div>

    <div class="main-menu">
        <div class="wrap">
            <!-- Logo -->    
            <a href="<?php echo home_url( '/' ); ?>"><img class="logo" src="<?php echo ($site_logo); ?>" alt="<?php bloginfo('sitename'); ?>" /></a> 
            
            <!-- Navigation Menu -->
            <nav id="myjquerymenu" class="jquerycssmenu">
                <?php wp_nav_menu( array( 'container' => false, 'items_wrap' => '<ul>%3$s</ul>', 'theme_location' =>   'primary-menu' ) ); ?>
            </nav><!-- end #myjquerymenu -->

            <!-- search form get_search_form(); -->
            <?php get_search_form(); ?>
        </div><!-- end .wrap -->
    </div><!-- end .main-menu -->
</header><!-- end #header -->