<?php get_header(); // add header  ?>
<?php
    // Options from admin panel
    global $smof_data; 

    $home_pag_select = (isset($smof_data['home_pag_select'])) ? $smof_data['home_pag_select'] : 'Infinite Scroll';
?>
<!-- Begin Wrap Content -->
<section class="wrap">

        <?php if (is_category()) { ?> 
            <div class="archive-header"><h3><?php _e( 'All posts in:', 'anthemes' ); ?> <strong><?php single_cat_title(''); ?></strong></h3><?php echo category_description(); ?></div>
        <?php } elseif (is_tag()) { ?>
            <div class="archive-header"><h3><?php _e( 'All posts tagged in:', 'anthemes' ); ?> <strong><?php single_tag_title(''); ?></strong></h3><?php echo tag_description(); ?></div>
        <?php } elseif (is_search()) { ?>
            <div class="archive-header"><h3><?php printf( __( 'Search Results for: %s', 'anthemes' ), '<strong>' . get_search_query() . '</strong>' ); ?></h3></div>
        <?php } elseif (is_author()) { ?>
            <div class="archive-header"><h3><?php _e( 'All posts by:', 'anthemes' ); ?> <strong><?php the_author(); ?></strong></h3></div>
        <?php } ?> 

        <?php if (!empty($smof_data['home_top_970'])) { ?>
            <div class="home-970"><?php echo stripslashes($smof_data['home_top_970']); ?></div>
        <?php } ?>

        <?php if (!empty($smof_data['home_top_728'])) { ?>
            <div class="home-728"><?php echo stripslashes($smof_data['home_top_728']); ?></div>
        <?php } ?>

        <?php if (!empty($smof_data['home_top_468'])) { ?>
            <div class="home-468"><?php echo stripslashes($smof_data['home_top_468']); ?></div>
        <?php } ?>

        <?php if (!empty($smof_data['home_top_300'])) { ?>
            <div class="home-300"><?php echo stripslashes($smof_data['home_top_300']); ?></div>
        <?php } ?>

    <!-- Begin Main Content -->
    <div class="main-content">

        <div id="example-1" class="masonry js-masonry">
        <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
            <article <?php post_class('list') ?> id="post-<?php the_ID(); ?>">

                <?php if ( has_post_thumbnail()) { ?>    
                    <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_post_thumbnail('thumbnail-blog1'); ?></a>

                    <?php
                        $post_ft_type = get_post_meta($post->ID, 'post_ft_type', true);
                        $post_review_score = get_review_score($post->ID);
                        if(!empty($post_review_score))
                        {
                    ?>
                    <div class="review_score"><?php echo $post_review_score; ?>
                        <div class="review_point"><?php _e('Points', 'anthemes'); ?></div>
                    </div>
                    <?php } ?>

                <?php } else { echo '<hr>'; } ?>
                
                <section class="post-content">
                    <div class="time_ago"><span><?php echo time_ago(); ?> <?php _e('ago', 'anthemes'); ?></span></div>
                    <a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><h2><?php the_title(); ?></h2></a>
                    
                    <?php if ( function_exists( 'rwmb_meta' ) ) {  
                    // If Meta Box plugin is activate ?>
                        <?php
                            $excerpthide = rwmb_meta('anthemes_hide', true );
                            $homebtn = rwmb_meta('anthemes_post_button', true );
                        ?>
                        <?php if(!empty($excerpthide)) { } else { ?>                    
                         <p><?php truncate_post(135, true);?><br /><?php if(!empty($homebtn)) { ?><?php echo $homebtn; ?><?php } ?></p>
                        <?php } ?>
                    <?php } else { 
                    // Meta Box Plugin ?>
                         <p><?php truncate_post(135, true);?></p>
                    <?php } ?>

                </section><!-- end .post-content -->
            </article><!-- end .list -->
            <?php endwhile; ?>
        </div><!-- end #example-1 -->

        <?php else : ?> 
        <div class="welcome"><h3><?php _e('Error 404 - Not Found', 'anthemes'); ?></h3>
            <?php _e("Sorry, but you are looking for something that isn't here.", "anthemes"); ?>
        </div>
        <?php endif; ?>

        <?php if ( $wp_query->max_num_pages > 1 ) : ?>
            <?php if ($home_pag_select == 'Infinite Scroll') { ?>
            <div id="nav-below" class="pagination" style="display: none;">
            <?php } else { ?>
            <div class="clear"></div>
            <div id="nav-below" class="pagination">
            <?php } ?>
                <div class="nav-previous"><?php previous_posts_link('&lsaquo; ' . __('Newer Entries', 'anthemes') . ''); ?></div>
                <div class="nav-next"><?php next_posts_link('' . __('Older Entries', 'anthemes') . ' &rsaquo;'); ?></div>
                <div class="clear"></div>
            </div>
        <?php endif; ?>
        
    </div><!-- end .main-content --> 


<div class="clear"></div>
</section><!-- end .wrap -->

<?php get_footer(); // add footer  ?>